Package org.apache.jmeter.visualizers

# Class RenderAsText

java.lang.Object
org.apache.jmeter.visualizers.SamplerResultTab
org.apache.jmeter.visualizers.RenderAsText

All Implemented Interfaces:
  `ResultRenderer`

@AutoService(ResultRenderer.class) public class RenderAsText extends SamplerResultTab implements ResultRenderer

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.jmeter.visualizers.SamplerResultTab

  `SamplerResultTab.RowResult`

- ## Field Summary

  ### Fields inherited from class org.apache.jmeter.visualizers.SamplerResultTab

  `activateSearchExtension, CLIENT_ERROR_COLOR, REDIRECT_COLOR, REQUEST_VIEW_COMMAND, results, resultsScrollPane, rightSide, searchTextExtension, SERVER_ERROR_COLOR, TEXT_COMMAND`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RenderAsText()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `renderResult(SampleResult sampleResult)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.jmeter.visualizers.SamplerResultTab

  `clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setTextOptimized, setupTabPane`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.visualizers.ResultRenderer

  `clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

- ## Constructor Details

  - ### RenderAsText

    public RenderAsText()

- ## Method Details

  - ### renderResult

    public void renderResult(SampleResult sampleResult)
    Specified by:
      `renderResult` in interface `ResultRenderer`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `ResultRenderer`
    Overrides:
      `toString` in class `Object`
    Returns:
      the string to be displayed by the ComboBox